# Uses of Class
org.w3c.tidy.Configuration

Packages that use Configuration
Package
Description
org.w3c.tidy

## Uses of Configuration in org.w3c.tidy

Fields in org.w3c.tidy declared as Configuration
Modifier and Type
Field
Description
`protected Configuration`
Lexer.`configuration`
configuration.
Methods in org.w3c.tidy that return Configuration
Modifier and Type
Method
Description
`Configuration`
Tidy.`getConfiguration()`
Returns the actual configuration
Methods in org.w3c.tidy with parameters of type Configuration
Modifier and Type
Method
Description
`String`
ParseProperty.`getFriendlyName(String option, Object value, Configuration configuration)`
Returns the "friendly name" for the passed value.
`static Out`
OutFactory.`getOut(Configuration config, OutputStream stream)`
Returns the appropriate Out implementation.
`static Out`
OutFactory.`getOut(Configuration config, Writer writer)`
Returns the appropriate Out implementation.
`static StreamIn`
StreamInFactory.`getStreamIn(Configuration config, InputStream stream)`
Returns the appropriate StreamIn implementation.
`static StreamIn`
StreamInFactory.`getStreamIn(Configuration config, Reader reader)`
Returns the appropriate StreamIn implementation.
`Object`
ParseProperty.`parse(String value, String option, Configuration configuration)`
Parse a configuration option.
`void`
TagTable.`setConfiguration(Configuration configuration)`
Setter for the current configuration instance.
Constructors in org.w3c.tidy with parameters of type Configuration
Modifier
Constructor
Description
``
`Lexer(StreamIn in, Configuration configuration, Report report)`
Instantiates a new Lexer.
`protected`
`OutJavaImpl(Configuration configuration, Writer out)`
Constructor.
`protected`
`OutJavaImpl(Configuration configuration, String encoding, OutputStream out)`
Constructor.
``
`PPrint(Configuration configuration)`
Instantiates a new PPrint.